function [] = RUN_Debug264()
% This program repairs a project file generated by XMapTools 2.6.4
%
% (1) Move RUN_Debug264.m to /XMapTools/Program/
% (2) Go to your working directory containing the project file to be corrected
% (3) Type the following command:
% 
% >> RUN_Debug264
%
% Example (project: aaa.mat)  >> RUN_Debug264 aaa
%
% Pierre Lanari - 14.02.2019
%

clear all
clc

ButtonName = questdlg({'This program repairs a project file generated by XMapTools 2.6.4', ...
    'Do you want to select a project file?' }, ...
    'XMapTools');

switch ButtonName
    
    case 'Yes'
        
        [file,path] = uigetfile('*.mat');
        if isequal(file,0)
            return
        else
            disp(['User selected ', fullfile(path,file)]);
        end
        
        disp(' ** Checking the directory')
        cd(path)
        
        disp(' ** Loading the project (can take some time)')
        load(file)
        
        disp(' ** Applying the patch')
        for i = 1:length(Results)
            
            if ~iscell(Results(i).method)
                Results(i).method = {Results(i).method};
                disp(['    - One issue has been fixed ... ',char(Results(i).method)]);
            end
            
            
        end
        
        disp(' ** Saving the project (can take some time)')
        save(file)
        disp(' ')
        disp('The project has been corrected - you can open it in XMapTools')
        disp(' ')
        
end